### Method

# Adw SpringAnimation get_spring_params

#### Declaration [src]

    AdwSpringParams*
    adw_spring_animation_get_spring_params (
      AdwSpringAnimation* self
    )

#### Description [src]

Gets the physical parameters of the spring of `self`.

Gets property | `Adw.SpringAnimation:spring-params`

#### Return value

Type: `AdwSpringParams`

The spring parameters.

The data is owned by the instance.